> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /audit-log

> Lists changes to the organisation’s setup, newest first: what changed, who changed it, when, and whether it was made directly or by an AI client. Only available to users with audit log access. Use `next_cursor` to load the next page.



## OpenAPI

````yaml /openapi.json get /v1/audit-log
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: AI
  - name: AI/Activity
  - name: Billing
  - name: Billing/Invoice
  - name: Audit Log
  - name: '[IN PROGRESS] Integration'
  - name: '[IN PROGRESS] Integration/Mapping'
  - name: '[IN PROGRESS] User'
  - name: '[IN PROGRESS] User/Account'
  - name: public
paths:
  /v1/audit-log:
    get:
      tags:
        - Audit Log
        - public
      summary: /audit-log
      description: >-
        Lists changes to the organisation’s setup, newest first: what changed,
        who changed it, when, and whether it was made directly or by an AI
        client. Only available to users with audit log access. Use `next_cursor`
        to load the next page.
      parameters:
        - name: publisher_uid
          in: query
          description: >-
            Publisher ID. Only changes related to this publisher, including its
            tag configs and ad stacks
          required: false
          schema:
            type: integer
        - name: start
          in: query
          description: Earliest date to include (YYYY-MM-DD)
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: Latest date to include, inclusive (YYYY-MM-DD)
          required: false
          schema:
            type: string
            format: date
        - name: tag_impacting
          in: query
          description: Set to `1` to only include changes that affect the publisher tag
          required: false
          schema:
            type: string
            enum:
              - '0'
              - '1'
            default: '0'
        - name: entity_types
          in: query
          description: >-
            Comma-separated entity types to include, for example
            `publisher_tag_config,ad_stack`
          required: false
          schema:
            type: string
        - name: event_type
          in: query
          description: Type of change
          required: false
          schema:
            type: string
            enum:
              - all
              - insert
              - update
              - delete
            default: all
        - name: client
          in: query
          description: >-
            Where the change was made: `direct` (Fusion or the API) or `mcp` (an
            AI client)
          required: false
          schema:
            type: string
            enum:
              - all
              - direct
              - mcp
            default: all
        - name: user_id
          in: query
          description: User ID. Shows only changes made by this user
          required: false
          schema:
            type: integer
        - name: search
          in: query
          description: >-
            Free-text search across entity type, action, client, record
            contents, user ID and organisation ID
          required: false
          schema:
            type: string
        - name: page_size
          in: query
          description: Results per page, up to 50
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 25
        - name: cursor
          in: query
          description: '`next_cursor` from the previous page'
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          description: Event ID
                        user_id:
                          type: integer
                        user_name:
                          type: string
                        user_email:
                          type: string
                          nullable: true
                        organisation_id:
                          type: integer
                        client:
                          type: string
                          description: direct or mcp
                        target_action:
                          type: string
                          description: insert, update or delete
                        target_table:
                          type: string
                          description: Entity type that changed
                        record_id:
                          type: string
                          nullable: true
                        entity_label:
                          type: string
                          description: Readable name of the changed record
                          nullable: true
                        old_record:
                          type: object
                          description: The record after this change
                          properties: {}
                          nullable: true
                        previous_record:
                          type: object
                          description: The record before this change
                          properties: {}
                          nullable: true
                        related:
                          type: object
                          properties:
                            publisher_uids:
                              type: array
                              items:
                                type: string
                            tag_config_ids:
                              type: array
                              items:
                                type: string
                            ad_stack_ids:
                              type: array
                              items:
                                type: string
                            match_reasons:
                              type: array
                              items:
                                type: string
                              description: >-
                                Why the change matched publisher_uid:
                                publisher_uid, tag_config or ad_stack
                        date_updated:
                          type: string
                      required:
                        - id
                        - user_id
                        - user_name
                        - organisation_id
                        - client
                        - target_action
                        - target_table
                        - date_updated
                  has_more:
                    type: boolean
                  next_cursor:
                    type: integer
                    description: Pass as cursor to load the next page
                    nullable: true
                  page_size:
                    type: integer
                  success:
                    type: boolean
                required:
                  - results
                  - has_more
                  - next_cursor
                  - page_size
                  - success
              example:
                results:
                  - id: 48211
                    user_id: 866
                    user_name: Jane Smith
                    user_email: jane@example.com
                    organisation_id: 3
                    client: direct
                    target_action: update
                    target_table: publisher_tag_config
                    record_id: '1452'
                    entity_label: Article MPU
                    old_record:
                      id: 1452
                      uid: 18620
                      title: Article MPU
                      stack: 311
                      status: 1
                    previous_record:
                      id: 1452
                      uid: 18620
                      title: Article MPU
                      stack: 298
                      status: 1
                    related:
                      publisher_uids:
                        - '18620'
                      tag_config_ids:
                        - '1452'
                      ad_stack_ids:
                        - '298'
                        - '311'
                      match_reasons:
                        - tag_config
                    date_updated: '2026-10-20 14:32:11'
                  - id: 48197
                    user_id: 866
                    user_name: Jane Smith
                    user_email: jane@example.com
                    organisation_id: 3
                    client: direct
                    target_action: delete
                    target_table: publisher_tag_placement
                    record_id: '7731'
                    entity_label: 'publisher_tag_placement #7731'
                    old_record:
                      id: 7731
                      uid: 18620
                      config_id: 1452
                      selector: '#sidebar-ad'
                    previous_record: null
                    related:
                      publisher_uids:
                        - '18620'
                      tag_config_ids:
                        - '1452'
                      ad_stack_ids: []
                      match_reasons:
                        - publisher_uid
                        - tag_config
                    date_updated: '2026-10-20 11:05:47'
                has_more: true
                next_cursor: 48197
                page_size: 2
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.